Apache log4j security vulnerability in Mitutoyo software

Apache_Log4j_Mitutoyo_Software

The past 22nd of December, Mitutoyo was informed about the detection of a vulnerability in “Apache Log4j” that could affect their software products. Apache Log4j is a Java-based open-source logging library, and it contains an arbitrary code execution vulnerability that could affect directly to the software.

At this moment, Mitutoyo hasn’t confirmed any affected software products. Here below you can find the list of software products that have been confirmed to be unaffected.

MCOSMOS

MiCAT-Planner

StatusMonitor

MeasurLink

GEARPAK-Express

i-Pak

GBPAK/GBI/LGBI

EASYPAG-PRO

ROUNDPAK

QVPAK

QSPAK/QIPAK

TAGPAK-C/E

MeasureReport

U-WAVEPAK/-BW/-BM

ConditionMonitor

FORMTRACEPAK/-AP

FORMTRACEPAK/-AP

MAFIS Express

MSURF

DDPAK-QV

QV3DPAK

QVEio

QV3DCAD

USB-ITPAK

Regarding the products that are not listed below, we will inform you about their situation as soon as Mitutoyo investigates them. 

Related news